Bug 664056 - [abrt] pulsecaster-0.1.6-3.fc14: posixpath.py:111:basename:AttributeError: 'NoneType' object has no attribute 'rfind'
Summary: [abrt] pulsecaster-0.1.6-3.fc14: posixpath.py:111:basename:AttributeError: 'N...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pulsecaster
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c4fd4540
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-17 21:01 UTC by John Poelstra
Modified: 2011-01-11 23:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-11 23:57:37 UTC


Attachments (Terms of Use)
File: backtrace (491 bytes, text/plain)
2010-12-17 21:01 UTC, John Poelstra
no flags Details

Description John Poelstra 2010-12-17 21:01:12 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/pulsecaster
component: pulsecaster
executable: /usr/bin/pulsecaster
kernel: 2.6.35.9-64.fc14.x86_64
package: pulsecaster-0.1.6-3.fc14
reason: posixpath.py:111:basename:AttributeError: 'NoneType' object has no attribute 'rfind'
release: Fedora release 14 (Laughlin)
time: 1292619606
uid: 500

backtrace
-----
posixpath.py:111:basename:AttributeError: 'NoneType' object has no attribute 'rfind'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulsecaster/ui.py", line 253, in updateFileSinkPath
    (self.filesinkfile, self.filesinkdir) = (os.path.basename(self.filesinkpath),
  File "/usr/lib64/python2.7/posixpath.py", line 111, in basename
    i = p.rfind('/') + 1
AttributeError: 'NoneType' object has no attribute 'rfind'

Local variables in innermost frame:
p: None

How to reproduce
-----
1. started pulsecaster
2. went and did some other things
3. boom

Comment 1 John Poelstra 2010-12-17 21:01:14 UTC
Created attachment 469443 [details]
File: backtrace

Comment 2 Brendan Jones 2010-12-18 11:47:21 UTC
Thanks for the bug report.

How reproducible is this issue? I cannot reproduce here - what were you doing at the time?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Paul W. Frields 2010-12-18 18:54:25 UTC
It looks like a problem with the file name selection routine, but I haven't been able to reproduce it either. I've no doubt it's a real bug but a reproducer would really help! :-)

Comment 4 Paul W. Frields 2010-12-21 12:37:30 UTC
John, there is a new 0.1.7 release and package waiting in updates-testing. The workflow for file name selection has changed slightly and might affect this bug.  Can you try it out?

https://admin.fedoraproject.org/updates/pulsecaster-0.1.7-1.fc14

Comment 5 Paul W. Frields 2011-01-11 22:47:20 UTC
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 6 John Poelstra 2011-01-11 23:57:37 UTC
can't reproduce.


Note You need to log in before you can comment on or make changes to this bug.